Bug 194217 - s-c-p throws traceback on startup
Summary: s-c-p throws traceback on startup
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-06 12:26 UTC by Ralf Ertzinger
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.7.12-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-20 13:24:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralf Ertzinger 2006-06-06 12:26:58 UTC
Description of problem:
s-c-p throws a python backtrace on startup:

Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 1941, in ?
    main()
  File "/usr/share/system-config-printer/system-config-printer.py", line 1932,
in main
    mainwindow = GUI()
  File "/usr/share/system-config-printer/system-config-printer.py", line 211, in
__init__
    self.populateList()
  File "/usr/share/system-config-printer/system-config-printer.py", line 270, in
populateList
    self.printers = cupshelpers.getPrinters(self.cups)
  File "/usr/share/system-config-printer/cupshelpers.py", line 191, in getPrinters
    printers_conf = PrintersConf(connection)
  File "/usr/share/system-config-printer/cupshelpers.py", line 248, in __init__
    self.parse()
  File "/usr/share/system-config-printer/cupshelpers.py", line 270, in parse
    if words[0] == "Option":
IndexError: list index out of range


Version-Release number of selected component (if applicable):
system-config-printer-0.7.11-3


How reproducible:
Always

Steps to Reproduce:
1. Start s-c-p
2.
3.
  
Actual results:
python traceback

Expected results:
program startup

Additional info:


Note You need to log in before you can comment on or make changes to this bug.